from telegram.ext import Updater, CommandHandler
from constants import TOKEN


def initialize_bot():
    updater = Updater(token=TOKEN, use_context=True)
    dispatcher = updater.dispatcher
    return updater, dispatcher


def start_callback(update, context):
    context.bot.send_message(
        chat_id=update.effective_chat.id,
        text="Hola, muy buenas. Gracias por ponerte en contacto con UGR Tracing Bot. Para poder continuar con el proceso por favor responda a este mensaje con un identificador único (DNI o correo institucional). Muchas gracias.",
    )


def add_callbacks(dispatcher):
    start_handler = CommandHandler("start", start_callback)
    dispatcher.add_handler(start_handler)


def main():
    updater, dispatcher = initialize_bot()
    add_callbacks(dispatcher)
    updater.start_polling()
    updater.idle()


if __name__ == "__main__":
    main()
